"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const HyperLink_1 = require("./HyperLink");
const react_1 = require("@testing-library/react");
const BODY = 'Have a great day!';
const SUBSTRING = 'great';
const { getByTestId } = react_1.screen;
describe('HyperLink component', () => {
    it('can render the TextLink component in place of substring value', () => {
        (0, react_1.render)((0, jsx_runtime_1.jsx)(HyperLink_1.default, { body: BODY, substring: SUBSTRING }));
        const textLink = getByTestId('cf-ui-text-link');
        expect(textLink).toBeInTheDocument();
        expect(textLink.firstChild).toHaveTextContent(SUBSTRING);
    });
    it('can handle onClick of link', () => {
        const mockOnClick = jest.fn();
        (0, react_1.render)((0, jsx_runtime_1.jsx)(HyperLink_1.default, { body: BODY, substring: SUBSTRING, onClick: mockOnClick }));
        const textLink = getByTestId('cf-ui-text-link');
        textLink.click();
        expect(mockOnClick).toHaveBeenCalled();
    });
});
